- name: Copy certificates for non-LetsEncrypt protected subdomains
  copy:
    src: "{{ item }}"
    dest: "/etc/ssl/certs/"
    mode: "0755"
  with_fileglob:
    - "{{ proxy_cfg_dir_abspath }}/certificates/*"
  become: true

- name: Change the symbolic link to point towards the haproxy cfg exposing the letsencrypt ACME challenge server
  ansible.builtin.file:
    src: /etc/haproxy/haproxy.letsencrypt.cfg
    dest: /etc/haproxy/haproxy.cfg
    state: link
  become: true
  when: ssl.ca == 'letsencrypt'

- name: Restart HAProxy
  service:
    name: haproxy
    state: restarted

- name: Run request_cert_certbot script
  ansible.builtin.shell: /etc/request_cert_certbot.sh
  become: true
  when: ssl.ca == 'letsencrypt'

- name: Run update_certs script
  ansible.builtin.shell: /etc/update_certs.sh
  become: true
  when: ssl.ca == 'letsencrypt'

- name: Change the symbolic link to point towards the live haproxy cfg
  ansible.builtin.file:
    src: /etc/haproxy/haproxy.live.cfg
    dest: /etc/haproxy/haproxy.cfg
    state: link
  become: true

- name: Restart HAProxy
  service: 
    name: haproxy 
    state: restarted
